Subject: Re: Highmem on PPC?

From: Val Henson <[email-masked]>
Date: Thu, 7 Feb 2002 14:58:44 -0700

On Thu, Feb 07, 2002 at 02:53:19PM -0700, Mark A. Greer wrote:
>
> Val Henson wrote:
>
> > Also, I don't think this was a particularly good test of highmem since
> > I don't think many bounce buffers were used, or that the kernel had
> > much reason to map/unmap many highmem pages.  Unfortunately, my SCSI
> > controller isn't working quite right and I can't test with a hard disk
> > as a result.  Any ideas for stressing the system harder?
>
> You could try lowering max_low_mem.  You can do this by setting "Code
> maturity level option"/"Prompt for advanced kernel configuration options"
> and then going under where you selected HIGH_MEM and setting max_low_mem
> size to something small.
>
> It will likely take some trial and error to get it stressed enough.
> You'll have to start a bunch or processes and look at where they're
> getting their memory

See, I don't think that user processes using highmem pages is testing
highmem much.  So we have user pages mapped by PTE's - what's changed?
Not a whole lot.  It's when we use bounce buffers in the kernel or ask
the kernel to map user pages or otherwise trigger the kmap/kunmap code
that I'm interested in.

-VAL

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/